Date   
Re: MMDVM & UDRC

VE3MIC
 

I haven't heard anything since on the subject.  I know that last summer Jonathan had added the UDRC but I don't know if it made it into the main stream code or stayed 'experimental'. All I can state at this point is that it hasn't made it into Pi-Star yet.
73 de Mike

Re: MMDVM & UDRC

Michael Champion Sr
 

Is there another thread where this has continued?  Or did it just die off in December?

Thanks,
Michael
N7UIC

DRAWS Video #4

Steve McGrane <temporarilyoffline@...>
 

Its been a while, but now that my radio is back from factory service, I got the kick in the pants I needed to make another video.

This video is all about how to make a bootable backup of your SD card in case mayhem strikes.

Take a look and let me know what you think by clicking like or dislike:


Next up will be a JS8 Video, Stay Tuned!

- Steve, KM9G

Re: Why Do I get a "Windows" type GUI after a reboot??

 

Not sure what you are looking for, Raspbian typically comes up in either a GUI (with the default being the Pixel desktop) or a command line interface.

You can select which one it uses by using raspi-config 

On Wed, Jun 5, 2019 at 2:52 PM Allen Lee <alee@...> wrote:
Well I guess its a Damion desktop. Still dont like it.



--
John D. Hays
Kingston, WA
K7VE

 

Re: Cable For IC-7610 to DRAWS

 

Hi Allen,

Check out Ham Made Parts on our 3rdParty page.

Bryan K7UDR


Cable For IC-7610 to DRAWS

Allen Lee
 

Trying to find a cable to match the 8pin mini din on 7610 to 6pin din on DRAWS. Just not able to wire one myself, shake too much when soldering.

Re: Why Do I get a "Windows" type GUI after a reboot??

Allen Lee
 

Well I guess its a Damion desktop. Still dont like it.

Re: How to bring "down" PTT?

Steve McGrane <temporarilyoffline@...>
 

I saw that... and it might be in my future... or I might get another rig.

I got to the point where I MUST GET THIS WORKING... and now I have... but when the dust settles, this isn't the radio for a "go kit" since its only 2m, and you can't do voice without disconnecting digital and vice versa... we'll see...

Thanks for sending that over.
- Steve


On Wed, Jun 5, 2019 at 10:47 AM Bryan Hoyer <bhhoyer@...> wrote:
Hi Steve,

Here’s a link to a Ham that direct connected to his TM-281:


Bryan K7UDR

Re: How to bring "down" PTT?

 

Hi Steve,

Here’s a link to a Ham that direct connected to his TM-281:


Bryan K7UDR

Pi Juice Hat

Steve McGrane <temporarilyoffline@...>
 

I didn't see this when searching the archives...

I have a bad habit of turning off my PS without shutting down the Pi... the thing is so quiet that I forget that its running.

Would the DRAWS supplying power to the Pi while the PiJuice hat sits in standby/UPS mode cause any kind of problems? 

Would the Pi select the best source or does one source take precedence over the other?


- Steve

Re: How to bring "down" PTT?

Steve McGrane <temporarilyoffline@...>
 

Ok, so now it works... magic I guess.

DRAWS => RADIO
AFOUT => MIC
PTT   => PTT
GND   => MIC GND
AFIN  => Rear Speaker TIP

Sep Non-insulated GND in DIN cable => GND in RJ-45 Bundle

I'm not really sure why this works, all I did was change around the ground alignment.  Before I was marrying all the grounds, now I have the MIC/MIC GND isolated to the DRAWS GND

If anybody can explain this, I'm all ears.


On Mon, Jun 3, 2019 at 12:48 PM Temporarily Offline <temporarilyoffline@...> wrote:
The PTT line is 4.94v when the radio is on and the DRAWS/Pi is not

When the Pi comes on, the PTT line goes negative.

I have PTT line on draws connected to PTT line on Radio... but I'm thinking they both produce 5v and they should be connected in a crossover fashion?

On Mon, Jun 3, 2019 at 8:23 AM Bryan Hoyer <bhhoyer@...> wrote:
The PTT Output on DRAWS is an open collector NPN Transistor. It expects the Radio to have a pullup to Positive voltage, typically 5-12V.

If the PTT LED goes off then the SW has done its job.

Measure the voltage on PTT when yo power up, then again when you PTT and release.

Bryan K7UDR


Re: How to bring "down" PTT?

Steve McGrane <temporarilyoffline@...>
 

The PTT line is 4.94v when the radio is on and the DRAWS/Pi is not

When the Pi comes on, the PTT line goes negative.

I have PTT line on draws connected to PTT line on Radio... but I'm thinking they both produce 5v and they should be connected in a crossover fashion?


On Mon, Jun 3, 2019 at 8:23 AM Bryan Hoyer <bhhoyer@...> wrote:
The PTT Output on DRAWS is an open collector NPN Transistor. It expects the Radio to have a pullup to Positive voltage, typically 5-12V.

If the PTT LED goes off then the SW has done its job.

Measure the voltage on PTT when yo power up, then again when you PTT and release.

Bryan K7UDR


Re: udrc-dkms fails to install after updating system/kernel

Basil Gunn
 

The udrc/draws tlv320aic32x4 driver is transitioning to a main line
linux kernel driver and will not be built using dkms in future kernels.

p.s. sgtm. then just device tree messing about.
Messing about is good.

Having our driver in the main line Linux kernel means there doesn't have
to be a 'special' kernel to support the udrc/draws hats. A standard
raspbian kernel will support those hats ... soon
(for soon = next_few_months).

/Basil

On Mon, Jun 3, 2019 at 12:19 AM Christopher Hoover <ch@...>
wrote:

yeah, sorry if i asked in the wrong place. realized that after the
fact. 73.

On Sun, Jun 2, 2019 at 10:24 PM Basil Gunn <@basil860> wrote:


Cross posting this from the udrc forum.
Not sure why you are asking your questions in main.

The tlv320aic3204 driver in the 4.19.42 kernel will NOT work
reliably. You need to stick with the 4.14.98 kernel until all of Anna's
patches work their way into the main stream kernel.

From Anna:

ALSA changed the API to some of their calls, and the old TLV320 driver
doesn’t have the calls. The new TLV320 driver is in the Raspbian
kernel, but it won’t work reliably until I get the final patch pushed
in the kernel.
Do NOT do an apt-get upgrade for a while until this gets fixed.
I have taken apt-get upgrade out of prog_refresh.sh script.
Where are the sources for udrc-dkms package?
/var/lib/dkms/udrc/1.0.5/source

The udrc/draws tlv320aic32x4 driver is transitioning to a main line
linux kernel driver and will not be built using dkms in future kernels.

/Basil

Christopher AI6KG <ch@...> writes:

I just reverted back to the latest image. I will avoid upgrading the
kernel for now.

Where are the sources for udrc-dkms package?

On Sun, Jun 2, 2019 at 12:23 PM Christopher AI6KG via Groups.Io <ch=
murgatroid.com@groups.io> wrote:

#udrc-dkms #dkms #rpi

udrc-dkms fails to install after updating system/kernel as seen below.

73 de AI6KG


pi@draws:~ $ sudo apt update
Hit:1 http://archive.compasslinux.org cedar InRelease
Hit:2 http://archive.raspberrypi.org/debian stretch InRelease

Get:3 http://raspbian.raspberrypi.org/raspbian stretch InRelease [15.0
kB]
Fetched 15.0 kB in 2s (5,695 B/s)
Reading package lists... Done
Building dependency tree
Reading state information... Done
All packages are up to date.
pi@draws:~ $ sudo apt upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following package was automatically installed and is no longer
required:
dkms
Use 'sudo apt autoremove' to remove it.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
pi@draws:~ $ sudo apt install udrc-dkms
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following NEW packages will be installed:
udrc-dkms
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B/27.7 kB of archives.
After this operation, 233 kB of additional disk space will be used.
(Reading database ... 139013 files and directories currently
installed.)
Preparing to unpack .../udrc-dkms_1.0.5_armhf.deb ...
Leaving 'diversion of /boot/overlays/udrc.dtbo to
/usr/share/udrcdkmshack/udrc.dtbo by udrcdkmshack'
Leaving 'diversion of /boot/overlays/draws.dtbo to
/usr/share/udrcdkmshack/draws.dtbo by udrcdkmshack'
Unpacking udrc-dkms (1.0.5) ...
dpkg: error processing archive
/var/cache/apt/archives/udrc-dkms_1.0.5_armhf.deb (--unpack):
trying to overwrite '/boot/overlays/draws.dtbo', which is also in
package
raspberrypi-kernel 1.20190517-1
Errors were encountered while processing:
/var/cache/apt/archives/udrc-dkms_1.0.5_armhf.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
pi@draws:~ $ dpkg -l |grep raspberrypi-kernel
ii raspberrypi-kernel 1.20190517-1
armhf Raspberry Pi bootloader
ii raspberrypi-kernel-headers 1.20190517-1
armhf Header files for the Raspberry Pi Linux kernel



Re: How to bring "down" PTT?

 

The PTT Output on DRAWS is an open collector NPN Transistor. It expects the Radio to have a pullup to Positive voltage, typically 5-12V.

If the PTT LED goes off then the SW has done its job.

Measure the voltage on PTT when yo power up, then again when you PTT and release.

Bryan K7UDR

Re: udrc-dkms fails to install after updating system/kernel

Christopher AI6KG
 

The udrc/draws tlv320aic32x4 driver is transitioning to a main line
linux kernel driver and will not be built using dkms in future kernels.

p.s. sgtm.   then just device tree messing about.
 

On Mon, Jun 3, 2019 at 12:19 AM Christopher Hoover <ch@...> wrote:
yeah, sorry if i asked in the wrong place.   realized that after the fact.    73.

On Sun, Jun 2, 2019 at 10:24 PM Basil Gunn <basil@...> wrote:

Cross posting this from the udrc forum.
Not sure why you are asking your questions in main.

> The tlv320aic3204 driver in the 4.19.42 kernel will NOT work
> reliably. You need to stick with the  4.14.98 kernel until all of Anna's
> patches work their way into the main stream kernel.
>
> From  Anna:
>
>> ALSA changed the API to some of their calls, and the old TLV320 driver
>> doesn’t have the calls.  The new TLV320 driver is in the Raspbian
>> kernel, but it won’t work reliably until I get the final patch pushed
>> in the kernel.
>
> Do NOT do an apt-get upgrade for a while until this gets fixed.
> I have taken apt-get upgrade out of prog_refresh.sh script.

> Where are the sources for udrc-dkms package?

/var/lib/dkms/udrc/1.0.5/source

The udrc/draws tlv320aic32x4 driver is transitioning to a main line
linux kernel driver and will not be built using dkms in future kernels.

/Basil

Christopher AI6KG <ch@...> writes:

> I just reverted back to the latest image.  I will avoid upgrading the
> kernel for now.
>
> Where are the sources for udrc-dkms package?
>
> On Sun, Jun 2, 2019 at 12:23 PM Christopher AI6KG via Groups.Io <ch=
> murgatroid.com@groups.io> wrote:
>
>> #udrc-dkms #dkms #rpi
>>
>> udrc-dkms fails to install after updating system/kernel as seen below.
>>
>> 73 de AI6KG
>>
>>
>> pi@draws:~ $ sudo apt update
>> Hit:1 http://archive.compasslinux.org cedar InRelease
>> Hit:2 http://archive.raspberrypi.org/debian stretch InRelease
>>
>> Get:3 http://raspbian.raspberrypi.org/raspbian stretch InRelease [15.0
>> kB]
>> Fetched 15.0 kB in 2s (5,695 B/s)
>> Reading package lists... Done
>> Building dependency tree
>> Reading state information... Done
>> All packages are up to date.
>> pi@draws:~ $ sudo apt upgrade
>> Reading package lists... Done
>> Building dependency tree
>> Reading state information... Done
>> Calculating upgrade... Done
>> The following package was automatically installed and is no longer
>> required:
>>   dkms
>> Use 'sudo apt autoremove' to remove it.
>> 0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
>> pi@draws:~ $ sudo apt install udrc-dkms
>> Reading package lists... Done
>> Building dependency tree
>> Reading state information... Done
>> The following NEW packages will be installed:
>>   udrc-dkms
>> 0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
>> Need to get 0 B/27.7 kB of archives.
>> After this operation, 233 kB of additional disk space will be used.
>> (Reading database ... 139013 files and directories currently installed.)
>> Preparing to unpack .../udrc-dkms_1.0.5_armhf.deb ...
>> Leaving 'diversion of /boot/overlays/udrc.dtbo to
>> /usr/share/udrcdkmshack/udrc.dtbo by udrcdkmshack'
>> Leaving 'diversion of /boot/overlays/draws.dtbo to
>> /usr/share/udrcdkmshack/draws.dtbo by udrcdkmshack'
>> Unpacking udrc-dkms (1.0.5) ...
>> dpkg: error processing archive
>> /var/cache/apt/archives/udrc-dkms_1.0.5_armhf.deb (--unpack):
>>  trying to overwrite '/boot/overlays/draws.dtbo', which is also in package
>> raspberrypi-kernel 1.20190517-1
>> Errors were encountered while processing:
>>  /var/cache/apt/archives/udrc-dkms_1.0.5_armhf.deb
>> E: Sub-process /usr/bin/dpkg returned an error code (1)
>> pi@draws:~ $ dpkg -l |grep raspberrypi-kernel
>> ii  raspberrypi-kernel                    1.20190517-1
>>  armhf        Raspberry Pi bootloader
>> ii  raspberrypi-kernel-headers            1.20190517-1
>>  armhf        Header files for the Raspberry Pi Linux kernel




Re: udrc-dkms fails to install after updating system/kernel

Christopher AI6KG
 

yeah, sorry if i asked in the wrong place.   realized that after the fact.    73.


On Sun, Jun 2, 2019 at 10:24 PM Basil Gunn <basil@...> wrote:

Cross posting this from the udrc forum.
Not sure why you are asking your questions in main.

> The tlv320aic3204 driver in the 4.19.42 kernel will NOT work
> reliably. You need to stick with the  4.14.98 kernel until all of Anna's
> patches work their way into the main stream kernel.
>
> From  Anna:
>
>> ALSA changed the API to some of their calls, and the old TLV320 driver
>> doesn’t have the calls.  The new TLV320 driver is in the Raspbian
>> kernel, but it won’t work reliably until I get the final patch pushed
>> in the kernel.
>
> Do NOT do an apt-get upgrade for a while until this gets fixed.
> I have taken apt-get upgrade out of prog_refresh.sh script.

> Where are the sources for udrc-dkms package?

/var/lib/dkms/udrc/1.0.5/source

The udrc/draws tlv320aic32x4 driver is transitioning to a main line
linux kernel driver and will not be built using dkms in future kernels.

/Basil

Christopher AI6KG <ch@...> writes:

> I just reverted back to the latest image.  I will avoid upgrading the
> kernel for now.
>
> Where are the sources for udrc-dkms package?
>
> On Sun, Jun 2, 2019 at 12:23 PM Christopher AI6KG via Groups.Io <ch=
> murgatroid.com@groups.io> wrote:
>
>> #udrc-dkms #dkms #rpi
>>
>> udrc-dkms fails to install after updating system/kernel as seen below.
>>
>> 73 de AI6KG
>>
>>
>> pi@draws:~ $ sudo apt update
>> Hit:1 http://archive.compasslinux.org cedar InRelease
>> Hit:2 http://archive.raspberrypi.org/debian stretch InRelease
>>
>> Get:3 http://raspbian.raspberrypi.org/raspbian stretch InRelease [15.0
>> kB]
>> Fetched 15.0 kB in 2s (5,695 B/s)
>> Reading package lists... Done
>> Building dependency tree
>> Reading state information... Done
>> All packages are up to date.
>> pi@draws:~ $ sudo apt upgrade
>> Reading package lists... Done
>> Building dependency tree
>> Reading state information... Done
>> Calculating upgrade... Done
>> The following package was automatically installed and is no longer
>> required:
>>   dkms
>> Use 'sudo apt autoremove' to remove it.
>> 0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
>> pi@draws:~ $ sudo apt install udrc-dkms
>> Reading package lists... Done
>> Building dependency tree
>> Reading state information... Done
>> The following NEW packages will be installed:
>>   udrc-dkms
>> 0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
>> Need to get 0 B/27.7 kB of archives.
>> After this operation, 233 kB of additional disk space will be used.
>> (Reading database ... 139013 files and directories currently installed.)
>> Preparing to unpack .../udrc-dkms_1.0.5_armhf.deb ...
>> Leaving 'diversion of /boot/overlays/udrc.dtbo to
>> /usr/share/udrcdkmshack/udrc.dtbo by udrcdkmshack'
>> Leaving 'diversion of /boot/overlays/draws.dtbo to
>> /usr/share/udrcdkmshack/draws.dtbo by udrcdkmshack'
>> Unpacking udrc-dkms (1.0.5) ...
>> dpkg: error processing archive
>> /var/cache/apt/archives/udrc-dkms_1.0.5_armhf.deb (--unpack):
>>  trying to overwrite '/boot/overlays/draws.dtbo', which is also in package
>> raspberrypi-kernel 1.20190517-1
>> Errors were encountered while processing:
>>  /var/cache/apt/archives/udrc-dkms_1.0.5_armhf.deb
>> E: Sub-process /usr/bin/dpkg returned an error code (1)
>> pi@draws:~ $ dpkg -l |grep raspberrypi-kernel
>> ii  raspberrypi-kernel                    1.20190517-1
>>  armhf        Raspberry Pi bootloader
>> ii  raspberrypi-kernel-headers            1.20190517-1
>>  armhf        Header files for the Raspberry Pi Linux kernel




Re: udrc-dkms fails to install after updating system/kernel

WB7DFV
 

Customer Service

On 6/2/2019 10:24 PM, Basil Gunn wrote:
Cross posting this from the udrc forum.
Not sure why you are asking your questions in main.

The tlv320aic3204 driver in the 4.19.42 kernel will NOT work
reliably. You need to stick with the  4.14.98 kernel until all of Anna's
patches work their way into the main stream kernel.

From  Anna:

ALSA changed the API to some of their calls, and the old TLV320 driver
doesn’t have the calls.  The new TLV320 driver is in the Raspbian
kernel, but it won’t work reliably until I get the final patch pushed
in the kernel.
Do NOT do an apt-get upgrade for a while until this gets fixed.
I have taken apt-get upgrade out of prog_refresh.sh script.

      
Where are the sources for udrc-dkms package?
/var/lib/dkms/udrc/1.0.5/source

The udrc/draws tlv320aic32x4 driver is transitioning to a main line
linux kernel driver and will not be built using dkms in future kernels.

/Basil

Christopher AI6KG <ch@...> writes:

I just reverted back to the latest image.  I will avoid upgrading the
kernel for now.

Where are the sources for udrc-dkms package?

On Sun, Jun 2, 2019 at 12:23 PM Christopher AI6KG via Groups.Io <ch=
murgatroid.com@groups.io> wrote:

#udrc-dkms #dkms #rpi

udrc-dkms fails to install after updating system/kernel as seen below.

73 de AI6KG


pi@draws:~ $ sudo apt update
Hit:1 http://archive.compasslinux.org cedar InRelease
Hit:2 http://archive.raspberrypi.org/debian stretch InRelease

Get:3 http://raspbian.raspberrypi.org/raspbian stretch InRelease [15.0
kB]
Fetched 15.0 kB in 2s (5,695 B/s)
Reading package lists... Done
Building dependency tree
Reading state information... Done
All packages are up to date.
pi@draws:~ $ sudo apt upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following package was automatically installed and is no longer
required:
  dkms
Use 'sudo apt autoremove' to remove it.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
pi@draws:~ $ sudo apt install udrc-dkms
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following NEW packages will be installed:
  udrc-dkms
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B/27.7 kB of archives.
After this operation, 233 kB of additional disk space will be used.
(Reading database ... 139013 files and directories currently installed.)
Preparing to unpack .../udrc-dkms_1.0.5_armhf.deb ...
Leaving 'diversion of /boot/overlays/udrc.dtbo to
/usr/share/udrcdkmshack/udrc.dtbo by udrcdkmshack'
Leaving 'diversion of /boot/overlays/draws.dtbo to
/usr/share/udrcdkmshack/draws.dtbo by udrcdkmshack'
Unpacking udrc-dkms (1.0.5) ...
dpkg: error processing archive
/var/cache/apt/archives/udrc-dkms_1.0.5_armhf.deb (--unpack):
 trying to overwrite '/boot/overlays/draws.dtbo', which is also in package
raspberrypi-kernel 1.20190517-1
Errors were encountered while processing:
 /var/cache/apt/archives/udrc-dkms_1.0.5_armhf.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
pi@draws:~ $ dpkg -l |grep raspberrypi-kernel
ii  raspberrypi-kernel                    1.20190517-1
 armhf        Raspberry Pi bootloader
ii  raspberrypi-kernel-headers            1.20190517-1
 armhf        Header files for the Raspberry Pi Linux kernel




Re: udrc-dkms fails to install after updating system/kernel

Basil Gunn
 

Cross posting this from the udrc forum.
Not sure why you are asking your questions in main.

The tlv320aic3204 driver in the 4.19.42 kernel will NOT work
reliably. You need to stick with the 4.14.98 kernel until all of Anna's
patches work their way into the main stream kernel.

From Anna:

ALSA changed the API to some of their calls, and the old TLV320 driver
doesn’t have the calls. The new TLV320 driver is in the Raspbian
kernel, but it won’t work reliably until I get the final patch pushed
in the kernel.
Do NOT do an apt-get upgrade for a while until this gets fixed.
I have taken apt-get upgrade out of prog_refresh.sh script.
Where are the sources for udrc-dkms package?
/var/lib/dkms/udrc/1.0.5/source

The udrc/draws tlv320aic32x4 driver is transitioning to a main line
linux kernel driver and will not be built using dkms in future kernels.

/Basil

Christopher AI6KG <ch@...> writes:

I just reverted back to the latest image. I will avoid upgrading the
kernel for now.

Where are the sources for udrc-dkms package?

On Sun, Jun 2, 2019 at 12:23 PM Christopher AI6KG via Groups.Io <ch=
murgatroid.com@groups.io> wrote:

#udrc-dkms #dkms #rpi

udrc-dkms fails to install after updating system/kernel as seen below.

73 de AI6KG


pi@draws:~ $ sudo apt update
Hit:1 http://archive.compasslinux.org cedar InRelease
Hit:2 http://archive.raspberrypi.org/debian stretch InRelease

Get:3 http://raspbian.raspberrypi.org/raspbian stretch InRelease [15.0
kB]
Fetched 15.0 kB in 2s (5,695 B/s)
Reading package lists... Done
Building dependency tree
Reading state information... Done
All packages are up to date.
pi@draws:~ $ sudo apt upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following package was automatically installed and is no longer
required:
dkms
Use 'sudo apt autoremove' to remove it.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
pi@draws:~ $ sudo apt install udrc-dkms
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following NEW packages will be installed:
udrc-dkms
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B/27.7 kB of archives.
After this operation, 233 kB of additional disk space will be used.
(Reading database ... 139013 files and directories currently installed.)
Preparing to unpack .../udrc-dkms_1.0.5_armhf.deb ...
Leaving 'diversion of /boot/overlays/udrc.dtbo to
/usr/share/udrcdkmshack/udrc.dtbo by udrcdkmshack'
Leaving 'diversion of /boot/overlays/draws.dtbo to
/usr/share/udrcdkmshack/draws.dtbo by udrcdkmshack'
Unpacking udrc-dkms (1.0.5) ...
dpkg: error processing archive
/var/cache/apt/archives/udrc-dkms_1.0.5_armhf.deb (--unpack):
trying to overwrite '/boot/overlays/draws.dtbo', which is also in package
raspberrypi-kernel 1.20190517-1
Errors were encountered while processing:
/var/cache/apt/archives/udrc-dkms_1.0.5_armhf.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
pi@draws:~ $ dpkg -l |grep raspberrypi-kernel
ii raspberrypi-kernel 1.20190517-1
armhf Raspberry Pi bootloader
ii raspberrypi-kernel-headers 1.20190517-1
armhf Header files for the Raspberry Pi Linux kernel

Re: udrc-dkms fails to install after updating system/kernel

Christopher AI6KG
 

I just reverted back to the latest image.  I will avoid upgrading the kernel for now.

Where are the sources for udrc-dkms package?

On Sun, Jun 2, 2019 at 12:23 PM Christopher AI6KG via Groups.Io <ch=murgatroid.com@groups.io> wrote:
#udrc-dkms #dkms #rpi

udrc-dkms fails to install after updating system/kernel as seen below.

73 de AI6KG


pi@draws:~ $ sudo apt update
Hit:1 http://archive.compasslinux.org cedar InRelease
Hit:2 http://archive.raspberrypi.org/debian stretch InRelease                  
Get:3 http://raspbian.raspberrypi.org/raspbian stretch InRelease [15.0 kB]     
Fetched 15.0 kB in 2s (5,695 B/s)                         
Reading package lists... Done
Building dependency tree       
Reading state information... Done
All packages are up to date.
pi@draws:~ $ sudo apt upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following package was automatically installed and is no longer required:
  dkms
Use 'sudo apt autoremove' to remove it.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
pi@draws:~ $ sudo apt install udrc-dkms 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following NEW packages will be installed:
  udrc-dkms
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B/27.7 kB of archives.
After this operation, 233 kB of additional disk space will be used.
(Reading database ... 139013 files and directories currently installed.)
Preparing to unpack .../udrc-dkms_1.0.5_armhf.deb ...
Leaving 'diversion of /boot/overlays/udrc.dtbo to /usr/share/udrcdkmshack/udrc.dtbo by udrcdkmshack'
Leaving 'diversion of /boot/overlays/draws.dtbo to /usr/share/udrcdkmshack/draws.dtbo by udrcdkmshack'
Unpacking udrc-dkms (1.0.5) ...
dpkg: error processing archive /var/cache/apt/archives/udrc-dkms_1.0.5_armhf.deb (--unpack):
 trying to overwrite '/boot/overlays/draws.dtbo', which is also in package raspberrypi-kernel 1.20190517-1
Errors were encountered while processing:
 /var/cache/apt/archives/udrc-dkms_1.0.5_armhf.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
pi@draws:~ $ dpkg -l |grep raspberrypi-kernel
ii  raspberrypi-kernel                    1.20190517-1                   armhf        Raspberry Pi bootloader
ii  raspberrypi-kernel-headers            1.20190517-1                   armhf        Header files for the Raspberry Pi Linux kernel
pi@draws:~ $ 


udrc-dkms fails to install after updating system/kernel

Christopher AI6KG
 

#udrc-dkms #dkms #rpi

udrc-dkms fails to install after updating system/kernel as seen below.

73 de AI6KG


pi@draws:~ $ sudo apt update
Hit:1 http://archive.compasslinux.org cedar InRelease
Hit:2 http://archive.raspberrypi.org/debian stretch InRelease                  
Get:3 http://raspbian.raspberrypi.org/raspbian stretch InRelease [15.0 kB]     
Fetched 15.0 kB in 2s (5,695 B/s)                         
Reading package lists... Done
Building dependency tree       
Reading state information... Done
All packages are up to date.
pi@draws:~ $ sudo apt upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following package was automatically installed and is no longer required:
  dkms
Use 'sudo apt autoremove' to remove it.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
pi@draws:~ $ sudo apt install udrc-dkms 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following NEW packages will be installed:
  udrc-dkms
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B/27.7 kB of archives.
After this operation, 233 kB of additional disk space will be used.
(Reading database ... 139013 files and directories currently installed.)
Preparing to unpack .../udrc-dkms_1.0.5_armhf.deb ...
Leaving 'diversion of /boot/overlays/udrc.dtbo to /usr/share/udrcdkmshack/udrc.dtbo by udrcdkmshack'
Leaving 'diversion of /boot/overlays/draws.dtbo to /usr/share/udrcdkmshack/draws.dtbo by udrcdkmshack'
Unpacking udrc-dkms (1.0.5) ...
dpkg: error processing archive /var/cache/apt/archives/udrc-dkms_1.0.5_armhf.deb (--unpack):
 trying to overwrite '/boot/overlays/draws.dtbo', which is also in package raspberrypi-kernel 1.20190517-1
Errors were encountered while processing:
 /var/cache/apt/archives/udrc-dkms_1.0.5_armhf.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
pi@draws:~ $ dpkg -l |grep raspberrypi-kernel
ii  raspberrypi-kernel                    1.20190517-1                   armhf        Raspberry Pi bootloader
ii  raspberrypi-kernel-headers            1.20190517-1                   armhf        Header files for the Raspberry Pi Linux kernel
pi@draws:~ $